Summary:	a fast PostgreSQL log analyzer
Name:		pgbadger
Version:	12.4
Release:	1
License:	BSD
Group:		Applications/Databases
Source0:	https://github.com/darold/pgbadger/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	d09facc144818b98904d7d95a7a2b7df
URL:		https://pgbadger.darold.net/
Patch0:		%{name}-perl_path.patch
BuildRequires:	perl-devel >= 1:5.6
BuildRequires:	perl-ExtUtils-MakeMaker
Requires:	perl-base >= 1:5.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch

%description
pgBadger is a PostgreSQL log analyzer build for speed with fully
detailed reports from your PostgreSQL log file. It's a single and
small Perl script that aims to replace and outperform the old php
script pgFouine.

pgBadger is written in pure Perl language. It uses a javascript
library to draw graphs so that you don't need additional Perl modules
or any other package to install. Furthermore, this library gives us
more features such as zooming.

pgBadger is able to autodetect your log file format (syslog, stderr or
csvlog). It is designed to parse huge log files as well as gzip
compressed file.

%prep
%setup -q
%patch0

%build
%{__perl} Makefile.PL \
		INSTALLDIRS=vendor

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} pure_install \
	PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Sat Jul 27 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pgbadger.git;a=log;h=master

* Wed Apr 03 2024 Andrzej Zawadzki <azawadzki@asist.pl> 6a49d67
- up to 12.4

* Mon Jun 26 2023 Andrzej Zawadzki <azawadzki@asist.pl> 736b80f
- up to 12.1

* Tue May 21 2019 Andrzej Zawadzki <zawadaa@pld-linux.org> 6697ea0
- up to 10.3

* Thu Sep 27 2018 Andrzej Zawadzki <azawadzki@dfqs.pl> 1c27452
- up to 10.1

* Fri Sep 01 2017 Andrzej Zawadzki <azawadzki@dfqs.pl> 2963c73
- up to 9.2

* Wed Feb 08 2017 Andrzej Zawadzki <zawadaa@pld-linux.org> b108f23
- up to 9.1

* Sun Oct 09 2016 Andrzej Zawadzki <azawadzki@dfqs.pl> b6255c3
- up to 9.0

* Tue May 17 2016 Andrzej Zawadzki <azawadzki@dfqs.pl> 0332f12
- up to 8.1

* Fri Apr 15 2016 Andrzej Zawadzki <zawadaa@pld-linux.org> 70242e8
- up to 8.0

* Sun Jul 19 2015 Andrzej Zawadzki <zawadaa@pld-linux.org> b41c312
- up to 7.1

* Thu May 21 2015 Andrzej Zawadzki <zawadaa@pld-linux.org> faea93b
- up to 7.0

* Sun Nov 09 2014 Andrzej Zawadzki <zawadaa@pld-linux.org> 0a79d12
- up to 6.2

* Mon Aug 18 2014 Andrzej Zawadzki <zawadaa@pld-linux.org> b43edb4
- up to 6.0

* Wed May 14 2014 Andrzej Zawadzki <zawadaa@pld-linux.org> 425f115
- up to 5.1

* Wed Feb 26 2014 Andrzej Zawadzki <zawadaa@pld-linux.org> f355308
- up to 5.0

* Mon Nov 25 2013 Andrzej Zawadzki <zawadaa@pld-linux.org> 0d33500
- up to 4.1

* Fri Nov 08 2013 Andrzej Zawadzki <zawadaa@pld-linux.org> 76d6223
- up to 4.0

* Mon Oct 07 2013 Andrzej Zawadzki <zawadaa@pld-linux.org> 80c6cf3
- up to 3.6

* Tue Jul 30 2013 Andrzej Zawadzki <zawadaa@pld-linux.org> e884bd6
- up to 3.5

* Mon Jun 24 2013 Andrzej Zawadzki <zawadaa@pld-linux.org> 9a3ef42
- up to 3.4

